<?
require '../sys/inc/start.php';
require '../sys/inc/compress.php';
require '../sys/inc/sess.php';
require '../sys/inc/home.php';
require '../sys/inc/settings.php';
require '../sys/inc/db_connect.php';
require '../sys/inc/ipua.php';
require '../sys/inc/fnc.php';
require '../sys/inc/user.php';
$set['title']='Ответить на сообщение в гостевой';
require '../sys/inc/thead.php';
title();
err();

include 'inc/admin_act.php';

if (isset($_GET['id']))
{
$post=mysql_fetch_array(mysql_query("SELECT * FROM `guest` WHERE `id`='".intval($_GET['id'])."' LIMIT 1"));
$ank=get_user($post['id_user']);
}

if (isset($_POST['msg']) && isset($user))
{
$msg=$_POST['msg'];
if (strlen2($msg)>1024){$err[]='Сообщение слишком длинное';}
elseif (strlen2($msg)<2){$err[]='Короткое сообщение';}
elseif (mysql_result(mysql_query("SELECT COUNT(*) FROM `guest` WHERE `id_user` = '$user[id]' AND `msg` = '".my_esc($msg)."' LIMIT 1"),0)!=0){$err='Ваше сообщение повторяет предыдущее';}
elseif(!isset($err)){
//
if (isset($user) && $user['id']==$user['id_user']){
$msg2="[url=/info.php?id=$user[id]]$user[nick][/url] ответил на ваше сообщение  [url=/guest/]в гостевой книге[/url";
mysql_query("INSERT INTO `jurnal` (`id_kont`, `msg`, `time`) values('$ank[id]', '$msg2', '$time')");
}
//
mysql_query("INSERT INTO `guest` (id_user, time, msg) values('$user[id]', '$time', '".my_esc($msg)."')");
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']+1)."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("UPDATE `user` SET `akt_rating` = '".($user['akt_rating']+0.001)."' WHERE `id` = '$user[id]' LIMIT 1");
msg('Сообщение успешно добавлено');
header("Location: index.php?reply_ok&".SID);
exit;
}
}

if (isset($user))
{
echo "<form method='post' name='message' action='?$passgen'>\n";
echo "<div class='cit'>";
echo "".status($ank['id'])." ";
echo "<a href='/info.php?id=$ank[id]'>$ank[nick]</a>\n";
echo "".medal($ank['id'])." (".vremja($post['time']).")<br />";
echo ''.esc(trim(br(bbcode(links(stripcslashes(htmlspecialchars($post['msg']))))))).'<br />';
echo "</div>";
echo '<form method="post" action="reply.php?id='.$post['id'].'">';
echo '<textarea name="msg">'.$ank['nick'].', </textarea><br/>';
echo '<input type="submit" value="Ответить"/>';
echo '</form>';
}
require '../sys/inc/tfoot.php';
?>